// Generated by CoffeeScript 1.6.3
/*
Application State Data Service
Provides shared global application state data
usage:

mainApp = angular.module("MainApp", [... 'appDataSrvc'])


mainApp.controller 'MyCtlr', ['$scope', ...,'AppData',
    ($scope,...,AppData) ->
    
    $scope.appData = AppData.getData()
    AppData.setData
        loggedIn: true
*/


(function() {
  var __hasProp = {}.hasOwnProperty;

  angular.module("appDataSrvc", ['appConfigSrvc']).factory("AppData", [
    'Configuration', function(Configuration) {
      var appData, base, servicer;
      appData = {};
      base = Configuration.baseUrl;
      servicer = {
        getAll: function() {
          return appData;
        },
        update: function(data) {
          var key, val;
          for (key in data) {
            if (!__hasProp.call(data, key)) continue;
            val = data[key];
            appData[key] = val;
          }
          return appData;
        },
        clear: function() {
          appData = {};
          return appData;
        },
        get: function(key) {
          return appData[key];
        },
        set: function(key, val) {
          appData[key] = val;
          return val;
        },
        del: function(key) {
          if (key in appData) {
            delete appData[key];
          }
          return appData;
        },
        keys: function() {
          var key;
          return (function() {
            var _results;
            _results = [];
            for (key in appData) {
              if (!__hasProp.call(appData, key)) continue;
              _results.push(key);
            }
            return _results;
          })();
        }
      };
      return servicer;
    }
  ]);

}).call(this);
